# Interface FullScreenAdSession

public interface FullScreenAdSession

A provider's handle for a single full screen ad (interstitial, rewarded, rewarded interstitial or app open). Created by `AdProvider.createFullScreenAd(com.codename1.ads.AdFormat, String)` and driven by the public format classes in `com.codename1.ads`.

This is an internal SPI type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispose()`
  Releases native resources held by this session.
  `boolean`
  `isLoaded()`
  True if an ad is loaded and ready to show.
  `void`
  `load(AdRequest request)`
  Begins loading an ad.
  `void`
  `setAutoShowOnForeground(boolean enabled)`
  For app open ads only: enables the provider managed auto-show on foreground.
  `void`
  `setCallback(AdSessionCallback callback)`
  Registers the callback used to report lifecycle events.
  `void`
  `setServerSideVerificationOptions(ServerSideVerificationOptions options)`
  Sets the server side verification options for rewarded formats.
  `void`
  `show()`
  Presents the loaded ad.

- ## Method Details

  - ### setCallback

    void setCallback(AdSessionCallback callback)
    Registers the callback used to report lifecycle events. Called once immediately after creation.

  - ### setServerSideVerificationOptions

    void setServerSideVerificationOptions(ServerSideVerificationOptions options)
    Sets the server side verification options for rewarded formats. Optional; providers that do not support SSV may ignore this.

  - ### load

    void load(AdRequest request)
    Begins loading an ad. The request may be null for a default load.

  - ### isLoaded

    boolean isLoaded()
    True if an ad is loaded and ready to show.

  - ### show

    void show()
    Presents the loaded ad. Does nothing if no ad is loaded.

  - ### setAutoShowOnForeground

    void setAutoShowOnForeground(boolean enabled)
    For app open ads only: enables the provider managed auto-show on foreground. No-op for other formats.

  - ### dispose

    void dispose()
    Releases native resources held by this session.